/******************************************************************************

	coin.c

	RCJE^

******************************************************************************/

#include "emumain.h"


/******************************************************************************
	[Jϐ
******************************************************************************/

#define COIN_COUNTERS	4

static u32 coins[COIN_COUNTERS];
static u32 lastcoin[COIN_COUNTERS];
static u32 coinlockedout[COIN_COUNTERS];


/******************************************************************************
	O[o֐
******************************************************************************/

/*--------------------------------------------------------
	RCJE^Zbg
--------------------------------------------------------*/

void coin_counter_reset(void)
{
	memset(coins, 0, sizeof(coins));
	memset(lastcoin, 0, sizeof(lastcoin));
	memset(coinlockedout, 0, sizeof(coinlockedout));
}


/*--------------------------------------------------------
	RCJE^XV
--------------------------------------------------------*/

void coin_counter_w(int num, int on)
{
	if (num >= COIN_COUNTERS) return;

	if (on && (lastcoin[num] == 0))
	{
		coins[num]++;
	}
	lastcoin[num] = on;
}


/*--------------------------------------------------------
	RCJE^bN
--------------------------------------------------------*/

void coin_lockout_w(int num, int on)
{
	if (num >= COIN_COUNTERS) return;

	coinlockedout[num] = on;
}
